RHEL 6 : libtirpc (RHSA-2013:0884)

Medium Nessus Plugin ID 66707


The remote Red Hat host is missing one or more security updates.


Updated libtirpc packages that fix one security issue are now available for Red Hat Enterprise Linux 6.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

These packages provide a transport-independent RPC (remote procedure call) implementation.

A flaw was found in the way libtirpc decoded RPC requests. A specially crafted RPC request could cause libtirpc to attempt to free a buffer provided by an application using the library, even when the buffer was not dynamically allocated. This could cause an application using libtirpc, such as rpcbind, to crash. (CVE-2013-1950)

Red Hat would like to thank Michael Armstrong for reporting this issue.

Users of libtirpc should upgrade to these updated packages, which contain a backported patch to correct this issue. All running applications using libtirpc must be restarted for the update to take effect.


Update the affected libtirpc, libtirpc-debuginfo and / or libtirpc-devel packages.

See Also



Plugin Details

Severity: Medium

ID: 66707

File Name: redhat-RHSA-2013-0884.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2013/05/31

Modified: 2017/01/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:libtirpc, p-cpe:/a:redhat:enterprise_linux:libtirpc-debuginfo, p-cpe:/a:redhat:enterprise_linux:libtirpc-devel, cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:enterprise_linux:6.4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/05/30

Reference Information

CVE: CVE-2013-1950

BID: 59365

RHSA: 2013:0884